<?php

if (strlen($_GET['o'])>0)
{ $osoba=htmlspecialchars_decode($_GET['o']); }
elseif (strlen($_POST['osoba'])>0)
{ $osoba=htmlspecialchars_decode($_POST['osoba']); }

if (strlen($osoba)<1) 
{
     $dotaz=mysql_query("SELECT person,count(id) FROM devices GROUP BY person ORDER BY count(id) DESC");
     $seznam='<select name="osoba">';
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) 
      {$osoba=mysql_fetch_row($dotaz);
       $lnk=$osoba[0];
       if (strlen($osoba[0])<1) {$osoba[0]="-- neuvedeno --";$lnk="neuvedeno";} 
       $seznam.='<option value="'.htmlspecialchars($lnk).'">'.$osoba[0].'</option>'; 
      };
      $seznam.='</select>';
     
$obsah='<h3>Vyberte osobu:</h3>
        <br/>
     <form action="#" method="POST">
     '.$seznam.'
     <input type="submit" value="Zobrazit">
     </form>
     <br/>

';

}
else
{
if ($osoba=="neuvedeno") {$osoba="";}

$aktualni=mysql_query("SELECT devices.id,devices.name,devices.name,icons.picture,devices.type FROM devices,icons WHERE icons.id=devices.icon AND devices.person='".htmlspecialchars_decode($osoba)."' ORDER BY devices.id");

$poceta=mysql_num_rows($aktualni);
    
    
if ($osoba=="") {$osoba="Zodpovědná osoba neuvedena";}

     $obsah='
     <h3>'.$osoba.'</h3> <br/>
     Počet spotřebičů: '.$poceta.'<br/>
     <br/>';
     
     
     $obsah.=' <table border="0" style="text-align:center;">
       <tr>
         ';
     $maxdata=0;
     
 $zbyva=$poceta;
 $opak=floor($celkpocet/7);
 
 for ($o=0;$o<=$opak;$o++)
 {
 if ($zbyva>7) {$zbyva-=7;$poceta=7;} else {$poceta=$zbyva;}
     
     for($i=0;$i<$poceta;$i++)
     {
          $aktdata=mysql_fetch_row($aktualni);
          $datas[$i][0]=$aktdata[0];
          $datas[$i][1]=$aktdata[1];
          $datas[$i][4]=$aktdata[3];
          $datas[$i][5]=$aktdata[4];
     
          $dotaz=mysql_query("SELECT data,time FROM data WHERE device=".$aktdata[0]." order by time DESC LIMIT 1");
          $vysledek=mysql_fetch_row($dotaz);
          $datas[$i][2]=$vysledek[0];
          $datas[$i][3]=$vysledek[1];
     
          if($vysledek[0]>$maxdata) {$maxdata=$vysledek[0];}
     }
     
     
     
     for($i=0;$i<$poceta;$i++)
          {
              $obsah.='<td valign="bottom" align="center">
              <img src="images/'.nastavbarvu($maxdata,$datas[$i][2],1).'.png" width="20" height="'.nastavdelku($maxdata,$datas[$i][2],100).'" style="border: 2px solid '.nastavbarvu($maxdata,$datas[$i][2],2).';">
              </td>
             ';
          }
     
     
     $obsah.='</tr><tr>';
     
     for($i=0;$i<$poceta;$i++)
       {
          $obsah.='<td width="100px">'.$datas[$i][2].' kWh</td>';
       }
     
     $obsah.='</tr><tr>';
     
     for($i=0;$i<$poceta;$i++)
       {
           $obsah.='<td><a href="detail.php?id='.$datas[$i][0].'"><strong>'.$datas[$i][1].'</strong></a><br/>';
           if (strlen($datas[$i][5])>1) {$obsah.='('.$datas[$i][5].')';}  else {$obsah.='&nbsp;';}
           $obsah.='</td>';
       }
     
     $obsah.='</tr><tr>';
     
     for($i=0;$i<$poceta;$i++)
       {
           $obsah.='<td class="imag"><img src="icon/'.$datas[$i][4].'"></td>';
       }    
  
  
  }   
     
     $obsah.='
     </tr></table>
     <br/>
     <br/>   
     ';
 
} 

?>
